# OpenStreetMapX.jl

Documentation for OpenStreetMapX.jl

For details please go to the [Reference](https://pszufe.github.io/OpenStreetMapX.jl/latest/reference/) section.

Package features
----------------

* Parse an OpenStreetMap XML datafile (OSM files)
* Crop maps to specified boundaries
* Convert maps between LLA, ECEF, and ENU coordinates
* Extract highways, buildings, and tagged features from OSM data
* Compute shortest or fastest driving, cycling, and walking routes using Julia's LightGraphs.jl package including various systems for weighting travel speed
* Use [OpenStreetMapXPlot](https://pszufe.github.io/OpenStreetMapXPlot.jl/) to draw maps using either Julia's PyPlot.jl or Plots.jl with GR backend packages
* Integrate with Python folium (via PyCall.jl) to create interactive map plots


For details please go to the [Reference](https://pszufe.github.io/OpenStreetMapX.jl/latest/reference/) section.
